

package gov.va.med.cds.mediator;


import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;
import gov.va.med.cds.mediator.work.FilterInformation;
import gov.va.med.cds.mediator.work.TemplateInformation;

import java.util.HashMap;
import java.util.Map;

import org.junit.Test;
import org.junit.runner.RunWith;


@RunWith( SuiteAwareRunner.class )
public class WorkFlowDataTest
    extends
        WorkflowData
{
    Map<String, Object> data = new HashMap<String, Object>();
    TemplateInformation templateInformation = new TemplateInformation();
    FilterInformation filterInformation = new FilterInformation();


    @Test
    @Suite( groups = { "checkintest" } )
    public void testWorkflowDataUsage( )
    {
        WorkflowData.setFilterInformation( data, filterInformation );
        WorkflowData.setRequestId( data, "Test_request_id" );
        WorkflowData.setRequestType( data, RequestType.READ );
        WorkflowData.setSendingApplication( data, "TEST SENDER" );
        WorkflowData.setTemplateInformation( data, templateInformation );

        WorkflowData.getFilterInformation( data );
        WorkflowData.getRequestId( data );
        WorkflowData.getSendingApplication( data );
        WorkflowData.getTemplateInformation( data );
        WorkflowData.isReadRequest( data );
    }
}
